#################################################################################################
# Laura McDuffie, University of Alaska Anchorage, USFWS - Lesser Yellowlegs 
# Code to support: Differential exposure of Lesser Yellowlegs during autumn migration
# Code by Autumn-Lynn Harrison, Smithsonian Migratory Bird Center
# Configuration file for libraries and functions
#################################################################################################

# Load libraries
library(tibble)
library(dplyr)
library(reshape2)
library(lubridate) # required to convert date to doy (in order to subset tracking data through October 21 for both deployment years)

# Modeling packages
library(foieGras)
library(mgcv)

# Plotting and Geographic packages
library(ggplot2)
library(rgdal)
library(raster)
library(rgeos) #required for plotting function in foieGras